Package: org.gradle.tooling

## [Java] Class BuildException

- org.gradle.tooling.BuildException

- Thrown when a Gradle build fails or when a model cannot be built.

  Since:
    1.0-milestone-3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BuildException (String message, Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BuildException(String message, Throwable throwable)